# please remind me to never create makefiles ever again

CC_FLAGS=-Wall -O2 -static -I./include
LD_FLAGS=-lbass -mwindows

win95kggui:
	$(CC) -o src/win95kggui.o -c src/win95kggui.c $(CC_FLAGS)
	windres src/icon.rc src/icon.o -I./include
	$(LD) -r -b binary -o src/bergsm.o src/bergsm.xm
	$(CC) -o win95kggui.exe src/win95kggui.o src/icon.o src/bergsm.o $(CC_FLAGS) $(LD_FLAGS)

clean:
	rm -f src/*.o *.exe
